summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO20
-rw-r--r--Makefile.am.patch25
-rw-r--r--PKGBUILD32
-rw-r--r--configure.ac.patch19
4 files changed, 96 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..6b51c83bdb3
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,20 @@
+pkgbase = apertium-es-ca
+ pkgdesc = Apertium language data for the Spanish-Catalan translator.
+ pkgver = 1.2.0
+ pkgrel = 2
+ url = http://apertium.org
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = pkgconfig
+ depends = lttoolbox>=3.0
+ depends = apertium>=3.0
+ source = http://downloads.sourceforge.net/sourceforge/apertium/apertium-es-ca-1.2.0.tar.gz
+ source = Makefile.am.patch
+ source = configure.ac.patch
+ md5sums = 0cc9676a152947adf703ec81b67654bf
+ md5sums = b75136e67d4ac876e024f3147f149c97
+ md5sums = 6e8507366d33e85af7988de36f366fa2
+
+pkgname = apertium-es-ca
+
diff --git a/Makefile.am.patch b/Makefile.am.patch
new file mode 100644
index 00000000000..b0f9b7bfadb
--- /dev/null
+++ b/Makefile.am.patch
@@ -0,0 +1,25 @@
+--- ../apertium-es-ca-1.2.0/Makefile.am 2009-10-15 12:51:50.000000000 +0200
++++ apertium-es-ca-1.2.0/Makefile.am 2010-02-15 12:40:14.000000000 +0100
+@@ -229,14 +229,14 @@
+ install-data-local:
+ apertium-gen-modes modes.xml apertium-$(PREFIX1)
+ cp *.mode modes/
+- $(INSTALL_DATA) $(PREFVAR1)$(PREFIX1).mode $(apertium_es_modesdir)
+- $(INSTALL_DATA) $(PREFVAR1)$(PREFIX2).mode $(apertium_es_modesdir)
+- $(INSTALL_DATA) $(PREFVAR2)$(PREFIX1).mode $(apertium_es_modesdir)
+- $(INSTALL_DATA) $(PREFVAR2)$(PREFIX2).mode $(apertium_es_modesdir)
+- $(INSTALL_DATA) es-ca_valencia.mode $(apertium_es_modesdir)
+- $(INSTALL_DATA) $(PREFVAR1)$(PREFIX1)-multi.mode $(apertium_es_modesdir)
+- $(INSTALL_DATA) $(PREFVAR1)$(PREFIX2)-multi.mode $(apertium_es_modesdir)
+- $(INSTALL_DATA) $(BASENAME).trules-$(PREFIX2).xml $(BASENAME).trules-$(PREFIX1).xml $(apertium_es_cadir)
++ $(INSTALL_DATA) $(PREFVAR1)$(PREFIX1).mode $(DESTDIR)$(apertium_es_modesdir)
++ $(INSTALL_DATA) $(PREFVAR1)$(PREFIX2).mode $(DESTDIR)$(apertium_es_modesdir)
++ $(INSTALL_DATA) $(PREFVAR2)$(PREFIX1).mode $(DESTDIR)$(apertium_es_modesdir)
++ $(INSTALL_DATA) $(PREFVAR2)$(PREFIX2).mode $(DESTDIR)$(apertium_es_modesdir)
++ $(INSTALL_DATA) es-ca_valencia.mode $(DESTDIR)$(apertium_es_modesdir)
++ $(INSTALL_DATA) $(PREFVAR1)$(PREFIX1)-multi.mode $(DESTDIR)$(apertium_es_modesdir)
++ $(INSTALL_DATA) $(PREFVAR1)$(PREFIX2)-multi.mode $(DESTDIR)$(apertium_es_modesdir)
++ $(INSTALL_DATA) $(BASENAME).trules-$(PREFIX2).xml $(BASENAME).trules-$(PREFIX1).xml $(DESTDIR)$(apertium_es_cadir)
+
+ CLEANFILES = -rf $(TARGETS) modes $(PREFVAR2)$(PREFIX1).automorf.bin $(PREFVAR2)$(PREFIX1).autobil.bin \
+ $(PREFVAR2)$(PREFIX2).automorf.bin $(PREFVAR2)$(PREFIX2).autobil.bin \
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..52d4effec61
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,32 @@
+# Contributor: Kevin Brubeck Unhammer <unhammer@gmail.com>
+# Maintainer: Kevin Brubeck Unhammer <unhammer@gmail.com>
+pkgname=apertium-es-ca
+pkgver=1.2.0
+pkgrel=2
+pkgdesc="Apertium language data for the Spanish-Catalan translator."
+url="http://apertium.org"
+license=('GPL')
+makedepends=('pkgconfig')
+depends=('lttoolbox>=3.0' 'apertium>=3.0')
+arch=('i686' 'x86_64')
+source=("http://downloads.sourceforge.net/sourceforge/apertium/apertium-es-ca-${pkgver}.tar.gz"
+ "Makefile.am.patch"
+ "configure.ac.patch")
+md5sums=('0cc9676a152947adf703ec81b67654bf'
+ 'b75136e67d4ac876e024f3147f149c97'
+ '6e8507366d33e85af7988de36f366fa2')
+
+build() {
+ patch -p0 < Makefile.am.patch
+ patch -p0 < configure.ac.patch
+
+ mkdir -p "$pkgdir/usr/share/apertium/modes"
+
+ cd "$srcdir/$pkgname-$pkgver"
+
+ autoreconf -i
+
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR="$pkgdir/" install || return 1
+} \ No newline at end of file
diff --git a/configure.ac.patch b/configure.ac.patch
new file mode 100644
index 00000000000..b67902c922a
--- /dev/null
+++ b/configure.ac.patch
@@ -0,0 +1,19 @@
+--- ../apertium-es-ca-1.2.0/configure.ac 2009-10-15 11:36:01.000000000 +0200
++++ apertium-es-ca-1.2.0/configure.ac 2010-09-21 16:02:34.987405444 +0200
+@@ -27,8 +27,14 @@
+ APERTIUM_VER=30
+ ],
+ [
+- PKG_CHECK_MODULES(APERTIUM, apertium-3.1 >= 3.1.0)
+- APERTIUM_VER=31
++ PKG_CHECK_MODULES(APERTIUM, apertium-3.1 >= 3.1.0,
++ [
++ APERTIUM_VER=31
++ ],
++ [
++ PKG_CHECK_MODULES(APERTIUM, apertium-3.2 >= 3.2.0)
++ APERTIUM_VER=32
++ ])
+ ])
+ ])
+ ])